#--------------------------------------------------------
#--- Gestin LinEx FacturLinEx 1.6 - Mysql --------------
#--- (C) PuntoDev GNU S.L.  (Licencia GPL) --------------
#--- 2003-2006                             --------------
#--------------------------------------------------------
#------------------ Tiendas ---------------
CREATE TABLE IF NOT EXISTS tiendas (T0 INT(4) NOT NULL, T1 CHAR(50), T2 CHAR(50),
T3 CHAR(50), T4 CHAR(6), T5 CHAR(50), T6 CHAR(20), T7 CHAR(20),
T8 CHAR(15), T9 DATE, T10 DATE, T11 CHAR(2), T12 INT(7) NOT NULL DEFAULT 0,
T13 INT(7) NOT NULL DEFAULT 0, T14 CHAR(15), T15 CHAR(4), T16 BLOB,
T17 INT(7) NOT NULL DEFAULT 0, PRIMARY KEY kt (T0), UNIQUE (T0), INDEX kt (T0));
#--------------- Estad. Tiendas ----------
CREATE TABLE IF NOT EXISTS estatien0000 (TT0 INT(4) NOT NULL, TT1 INT(4) NOT NULL, TT2 INT(2) NOT NULL,
TT3 DOUBLE(10,2) DEFAULT 0.00,  TT4 DOUBLE(10,2) DEFAULT 0.00, TT5 DOUBLE(10,2) DEFAULT 0.00,
TT6 DOUBLE(10,2) DEFAULT 0.00,  TT7 DOUBLE(10,2) DEFAULT 0.00, PRIMARY KEY ktt (TT0,TT1,TT2),
UNIQUE (TT0,TT1,TT2), INDEX ktt (TT0,TT1,TT2));
#------------------ Series ----------------
CREATE TABLE IF NOT EXISTS series (SE0 CHAR(6) NOT NULL, SE1 CHAR(50), SE2 DATE, SE3 DATE,
SE4 BLOB, PRIMARY KEY kse (SE0), UNIQUE (SE0), INDEX kse (SE0));
#--------------- Estad. Series -----------
CREATE TABLE IF NOT EXISTS estaserie0000 (SSE0 CHAR(6) NOT NULL, SSE1 INT(4) NOT NULL,
SSE2 INT(2) NOT NULL, SSE3 DOUBLE(10,2) DEFAULT 0, SSE4 DOUBLE(10,2) DEFAULT 0,
SSE5 DOUBLE(10,2) DEFAULT 0, SSE6 DOUBLE(10,2) DEFAULT 0, SSE7 DOUBLE(10,2) DEFAULT 0,
PRIMARY KEY ksse (SSE0,SSE1,SSE2), UNIQUE (SSE0,SSE1,SSE2), INDEX ksse (SSE0,SSE1,SSE2));
#------------------ Modelos ----------------
CREATE TABLE IF NOT EXISTS modelos (MO0 CHAR(5) NOT NULL, MO1 CHAR(50), MO2 DATE, MO3 DATE,
MO4 BLOB, PRIMARY KEY kmo (MO0), UNIQUE (MO0), INDEX kmo (MO0));
#--------------- Estad. Modelos -----------
CREATE TABLE IF NOT EXISTS estamode0000 (MMO0 CHAR(5) NOT NULL, MMO1 INT(4) NOT NULL,
MMO2 INT(2) NOT NULL, MMO3 DOUBLE(10,2) DEFAULT 0, MMO4 DOUBLE(10,2) DEFAULT 0,
MMO5 DOUBLE(10,2) DEFAULT 0, MMO6 DOUBLE(10,2) DEFAULT 0, MMO7 DOUBLE(10,2) DEFAULT 0,
PRIMARY KEY kmmo (MMO0,MMO1,MMO2), UNIQUE (MMO0,MMO1,MMO2), INDEX kmmo (MMO0,MMO1,MMO2));
#------------------ Modelos ----------------
CREATE TABLE IF NOT EXISTS colores (CO0 CHAR(6) NOT NULL, CO1 CHAR(6) NOT NULL, CO2 CHAR(50),
CO3 CHAR(20), PRIMARY KEY kco (CO0,CO1), UNIQUE (CO0,CO1), INDEX kco (CO0,CO1));
#------------------ Tallas ----------------
CREATE TABLE IF NOT EXISTS tallas (TA0 CHAR(6) NOT NULL, TA1 CHAR(4) NOT NULL, TA2 CHAR(50),
TA3 INT(3), PRIMARY KEY kta (TA0,TA1), UNIQUE (TA0,TA1), INDEX kta (TA0,TA1));
#-------------- Modelos / Colores / Tallas ------------
CREATE TABLE IF NOT EXISTS mocota0000 (AU0 CHAR(23) NOT NULL, AU1 CHAR(13) NOT NULL,
AU2 CHAR(6), AU3 CHAR(4), AU4 DOUBLE(5,2) DEFAULT 0, AU5 DOUBLE(10,2) DEFAULT 0,
AU6 DOUBLE(10,2) DEFAULT 0, AU7 DOUBLE(10,2) DEFAULT 0, AU8 CHAR(6), AU9 CHAR(6),
PRIMARY KEY kau (AU0,AU1), UNIQUE (AU0,AU1), INDEX kau (AU0,AU1));
#------------------ Familias ----------------
CREATE TABLE IF NOT EXISTS familias (F0 INT(4) NOT NULL, F1 INT(4) NOT NULL, F2 INT(4) NOT NULL,
F3 CHAR(50), F4 DATE, F5 DATE, F6 BLOB, PRIMARY KEY kf (F0), UNIQUE (F0), INDEX kf (F0));
#--------------- Estad. Familias -----------
CREATE TABLE IF NOT EXISTS estafami0000 (FF0 INT(4) NOT NULL, FF1 INT(4) NOT NULL,
FF2 INT(2) NOT NULL, FF3 DOUBLE(10,2) DEFAULT 0, FF4 DOUBLE(10,2) DEFAULT 0,
FF5 DOUBLE(10,2) DEFAULT 0, FF6 DOUBLE(10,2) DEFAULT 0, FF7 DOUBLE(10,2) DEFAULT 0,
PRIMARY KEY kff (FF0,FF1,FF2), UNIQUE (FF0,FF1,FF2), INDEX kff (FF0,FF1,FF2));
#------------------ Articulos ----------------
CREATE TABLE IF NOT EXISTS artitien0000 (A0 CHAR(13) NOT NULL, A1 CHAR(50),
A2 DOUBLE(10,2) NOT NULL DEFAULT 0.00, A3 INTEGER(3) NOT NULL DEFAULT 0,
A4 DOUBLE(10,2) NOT NULL DEFAULT 0.00, A5 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
A6 DOUBLE(10,2) NOT NULL DEFAULT 0.00, A7 DOUBLE(5,2) NOT NULL DEFAULT 0.00,
A8 DOUBLE(5,2) NOT NULL DEFAULT 0.00, A9 DOUBLE(5,2) NOT NULL DEFAULT 0.00,
A10 DOUBLE(10,2) NOT NULL DEFAULT 0.00, A11 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
A12 DATE, A13 DATE, A14 INTEGER(4) NOT NULL DEFAULT 0, A15 CHAR(6), A16 CHAR(150), A17 BLOB, A18 CHAR(5),
A19 CHAR(13), A20 INT(6) NOT NULL DEFAULT 0, A21 DOUBLE(10,3) NOT NULL DEFAULT 0.000,
PRIMARY KEY ka (A0), UNIQUE (A0), INDEX ka (A0));
#------------------ Art. Almacen ----------------
CREATE TABLE IF NOT EXISTS artialmacen (AA0 CHAR(13) NOT NULL, AA1 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
AA2 DOUBLE(10,2) NOT NULL DEFAULT 0.00, AA3 DOUBLE(5,2) NOT NULL DEFAULT 0.00,
AA4 DOUBLE(10,2) NOT NULL DEFAULT 0.00, AA5 INTEGER(5) NOT NULL DEFAULT 0,
AA6 DOUBLE(10,2) NOT NULL DEFAULT 0.00, AA7 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
AA8 DOUBLE(5,2) NOT NULL DEFAULT 0.00, AA9 DOUBLE(5,2) NOT NULL DEFAULT 0.00,
AA10 INTEGER(6) NOT NULL DEFAULT 0, PRIMARY KEY kaa (AA0), UNIQUE (AA0), INDEX kaa (AA0));
#----------------- Estad. Art. -----------------
CREATE TABLE IF NOT EXISTS estaarti0000 (TA0 CHAR(13) NOT NULL, TA1 INT(4) NOT NULL,
TA2 INT(2) NOT NULL, TA3 DOUBLE(10,2) DEFAULT 0, TA4 DOUBLE(10,2) DEFAULT 0,
TA5 DOUBLE(10,2) DEFAULT 0, TA6 DOUBLE(10,2) DEFAULT 0, TA7 DOUBLE(10,2) DEFAULT 0,
PRIMARY KEY kta (TA0,TA1,TA2), UNIQUE (TA0,TA1,TA2), INDEX kta (TA0,TA1,TA2));
#------------------ Eans Artículos ----------------
CREATE TABLE IF NOT EXISTS eans (EAN0 CHAR(13) NOT NULL, EAN1 CHAR(13) NOT NULL,
EAN2 CHAR(50), EAN3 DOUBLE(10,2) NOT NULL DEFAULT 0.00, EAN4 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
PRIMARY KEY kean (EAN0,EAN1), UNIQUE (EAN0,EAN1), INDEX kean (EAN0,EAN1));
#------------------ Ult. Pedidos -------------
CREATE TABLE IF NOT EXISTS ultimopedi0000 (AP0 CHAR(13) NOT NULL, AP1 DATE NOT NULL, AP2 INTEGER(6),
AP3 DOUBLE(10,2) NOT NULL DEFAULT 0.00, AP4 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
PRIMARY KEY kap (AP0,AP1), UNIQUE (AP0,AP1), INDEX kap (AP0,AP1));
#------------------- Proveedores ---------------
CREATE TABLE IF NOT EXISTS proveedores (P0 INT(6) DEFAULT 0 NOT NULL, P1 CHAR(50), P2 CHAR(50),
P3 CHAR(50), P4 CHAR(50), P5 CHAR(15), P6 CHAR(20), P7 CHAR(20), P8 CHAR(50),
P9 CHAR(20), P10 CHAR(50), P11 CHAR(50), P12 CHAR(30), P13 CHAR(10), P14 CHAR(2),
P15 CHAR(20), P16 CHAR(20), P17 DATE, P18 DATE, P19 BLOB, P20 CHAR(6), P21 CHAR(6),
PRIMARY KEY kp (P0), UNIQUE (P0), INDEX kpd (P0));
#------------------- Estad. Proveedores ---------------
CREATE TABLE IF NOT EXISTS estaprove (PP0 INT(6) NOT NULL, PP1 INT(4) NOT NULL, PP2 INT(2) NOT NULL,
PP3 DOUBLE(10,2) DEFAULT 0.00, PP4 DOUBLE(10,2) DEFAULT 0.00, PP5 DOUBLE(10,2) DEFAULT 0.00,
PP6 DOUBLE(10,2) DEFAULT 0.00, PP7 DOUBLE(10,2) DEFAULT 0.00, PRIMARY KEY kpp (PP0,PP1,PP2),
UNIQUE (PP0,PP1,PP2), INDEX kpp (PP0,PP1,PP2));
#---------------------- Clientes ----------------------------
CREATE TABLE IF NOT EXISTS clientes (C0 INT(6) NOT NULL, C1 CHAR(50), C2 CHAR(50), C3 CHAR(50),
C4 CHAR(50), C5 CHAR(15), C6 CHAR(20), C7 CHAR(20), C8 INTEGER(2) DEFAULT 0, C9 INTEGER(2) DEFAULT 0,
C10 INT(7) NOT NULL DEFAULT 0, C11 INTEGER(2) DEFAULT 0, C12 CHAR(10), C13 INTEGER(3) DEFAULT 0, C14 INTEGER(3) DEFAULT 0,
C15 INTEGER(3) DEFAULT 0, C16 INTEGER(1) DEFAULT 0, C17 DOUBLE(5,2) DEFAULT 0, C18 DOUBLE(5,2) DEFAULT 0, C19 CHAR(1),
C20 DOUBLE(10,2) DEFAULT 0, C21 DOUBLE(10,2) DEFAULT 0, C22 DOUBLE(10,2) DEFAULT 0, C23 DOUBLE(10,2) DEFAULT 0,
C24 DOUBLE(10,2) DEFAULT 0, C25 CHAR(50), C26 CHAR(1), C27 CHAR(50), C28 CHAR(50), C29 INTEGER(5) DEFAULT 0,
C30 CHAR(50), C31 CHAR(20), C32 CHAR(50), C33 CHAR(50), C34 CHAR(20), C35 CHAR(20), C36 BLOB,
C37 CHAR(6), C38 CHAR(50), C39 CHAR(50), C40 CHAR(50), C41 INT(1) NOT NULL DEFAULT 0, C42 INT(1) NOT NULL DEFAULT 0,
C43 INT(1) NOT NULL DEFAULT 0, C44 DATE, C45 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
PRIMARY KEY kc (C0), UNIQUE (C0), INDEX kc (C0));
#-------------------- Estad. Clientes --------------------
CREATE TABLE IF NOT EXISTS estaclie (CC0 INT(6) NOT NULL, CC1 INT(4) NOT NULL, CC2 INT(2) NOT NULL,
CC3 DOUBLE(10,2) DEFAULT 0.00, CC4 DOUBLE(10,2) DEFAULT 0.00, CC5 DOUBLE(10,2) DEFAULT 0.00,
CC6 DOUBLE(10,2) DEFAULT 0.00, CC7 DOUBLE(10,2) DEFAULT 0.00, PRIMARY KEY kcc (CC0,CC1,CC2),
UNIQUE (CC0,CC1,CC2), INDEX kcc (CC0,CC1,CC2));
#------------------- Hist. Clientes ----------------------
CREATE TABLE IF NOT EXISTS histoclie (HC0 INT(6) NOT NULL, HC1 DATE NOT NULL, HC2 TIME NOT NULL,
HC3 INT(5) NOT NULL AUTO_INCREMENT, HC4 CHAR(13), HC5 CHAR(50), HC6 DOUBLE(5,2) DEFAULT 0.00,
HC7 DOUBLE(10,2) DEFAULT 0.00, PRIMARY KEY khc (HC0,HC1,HC2,HC3), UNIQUE (HC0,HC1,HC2,HC3),
INDEX khc (HC0,HC1,HC2,HC3));
#-------------------- Usuarios ------------------------------
CREATE TABLE IF NOT EXISTS dispensa0000 (DI0 INT(4) NOT NULL, DI1 CHAR(50), DI2 CHAR(50),
DI3 CHAR(50), DI4 CHAR(6), DI5 CHAR(50), DI6 CHAR(20), DI7 CHAR(20),
DI8 CHAR(50), DI9 CHAR(8), DI10 CHAR(8), DI11 INT(2) NOT NULL DEFAULT 0,
DI12 BLOB, DI13 CHAR(150), PRIMARY KEY kdi (DI0), UNIQUE (DI0), INDEX kdi (DI0));
#-----------------Est. Usuarios ------------------------------
CREATE TABLE IF NOT EXISTS estadisp0000 (DDI0 INT(4) NOT NULL, DDI1 INT(4) NOT NULL,
DDI2 INT(2) NOT NULL, DDI3 DOUBLE(10,2) DEFAULT 0.00, DDI4 DOUBLE(10,2) DEFAULT 0.00,
DDI5 DOUBLE(10,2) DEFAULT 0.00, DDI6 DOUBLE(10,2) DEFAULT 0.00, DDI7 DOUBLE(10,2) DEFAULT 0.00,
PRIMARY KEY kddi (DDI0,DDI1,DDI2), UNIQUE (DDI0,DDI1,DDI2), INDEX kddi (DDI0,DDI1,DDI2));
#-------------------- Ventas A --------------------------------
CREATE TABLE IF NOT EXISTS ventas0000A (V0 INT(6) NOT NULL, V1 DATE NOT NULL, V2 TIME NOT NULL,
V3 INT(5) AUTO_INCREMENT NOT NULL, V4 CHAR(13) NOT NULL, V5 CHAR(50), V6 DOUBLE(5,2) DEFAULT 0.00,
V7 DOUBLE(10,2) DEFAULT 0.00, V8 DOUBLE(10,2) DEFAULT 0.00, V9 DOUBLE(10,2) DEFAULT 0.00, V10 INTEGER(3) DEFAULT 0,
V11 INTEGER(4) DEFAULT 0, V12 CHAR(23), V13 CHAR(1) NOT NULL DEFAULT "A", V14 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
V15 INT(5) NOT NULL DEFAULT 0, V16 CHAR(1) NOT NULL DEFAULT 'N', V17 DOUBLE(5,2) NOT NULL DEFAULT 0,
V18 CHAR(1) NOT NULL DEFAULT 'S', V19 CHAR(1) NOT NULL DEFAULT 'N',
PRIMARY KEY kv (V0,V1,V2,V3), UNIQUE (V0,V1,V2,V3), INDEX kv (V0,V1,V2,V3));
#-------------------- Ventas B --------------------------------
CREATE TABLE IF NOT EXISTS ventas0000B (V0 INT(6) NOT NULL, V1 DATE NOT NULL, V2 TIME NOT NULL,
V3 INT(5) AUTO_INCREMENT NOT NULL, V4 CHAR(13) NOT NULL, V5 CHAR(50), V6 DOUBLE(5,2) DEFAULT 0.00,
V7 DOUBLE(10,2) DEFAULT 0.00, V8 DOUBLE(10,2) DEFAULT 0.00, V9 DOUBLE(10,2) DEFAULT 0.00, V10 INTEGER(3) DEFAULT 0,
V11 INTEGER(4) DEFAULT 0, V12 CHAR(23), V13 CHAR(1) NOT NULL DEFAULT "A", V14 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
V15 INT(5) NOT NULL DEFAULT 0, V16 CHAR(1) NOT NULL DEFAULT 'N', V17 DOUBLE(5,2) NOT NULL DEFAULT 0,
V18 CHAR(1) NOT NULL DEFAULT 'S', V19 CHAR(1) NOT NULL DEFAULT 'N',
PRIMARY KEY kv (V0,V1,V2,V3), UNIQUE (V0,V1,V2,V3), INDEX kv (V0,V1,V2,V3));
#-------------------- Ventas C --------------------------------
CREATE TABLE IF NOT EXISTS ventas0000C (V0 INT(6) NOT NULL, V1 DATE NOT NULL, V2 TIME NOT NULL,
V3 INT(5) AUTO_INCREMENT NOT NULL, V4 CHAR(13) NOT NULL, V5 CHAR(50), V6 DOUBLE(5,2) DEFAULT 0.00,
V7 DOUBLE(10,2) DEFAULT 0.00, V8 DOUBLE(10,2) DEFAULT 0.00, V9 DOUBLE(10,2) DEFAULT 0.00, V10 INTEGER(3) DEFAULT 0,
V11 INTEGER(4) DEFAULT 0, V12 CHAR(23), V13 CHAR(1) NOT NULL DEFAULT "A", V14 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
V15 INT(5) NOT NULL DEFAULT 0, V16 CHAR(1) NOT NULL DEFAULT 'N', V17 DOUBLE(5,2) NOT NULL DEFAULT 0,
V18 CHAR(1) NOT NULL DEFAULT 'S', V19 CHAR(1) NOT NULL DEFAULT 'N',
PRIMARY KEY kv (V0,V1,V2,V3), UNIQUE (V0,V1,V2,V3), INDEX kv (V0,V1,V2,V3));
#-------------------- Cajas -----------------------------------
CREATE TABLE IF NOT EXISTS cajas0000 (CA0 DATE NOT NULL, CA1 INT(4) NOT NULL, CA2 INT(4) NOT NULL, CA3 DOUBLE(10,2) DEFAULT 0.00,
CA4 DOUBLE(10,2) DEFAULT 0.00, CA5 DOUBLE(10,2) DEFAULT 0.00, CA6 DOUBLE(10,2) DEFAULT 0.00, CA7 DOUBLE(10,2) DEFAULT 0.00,
CA8 DOUBLE(10,2) DEFAULT 0.00, CA9 DOUBLE(10,2) DEFAULT 0.00, CA10 DOUBLE(10,2) DEFAULT 0.00, CA11 DOUBLE(10,2) DEFAULT 0.00,
CA12 DOUBLE(10,2) DEFAULT 0.00, CA13 DOUBLE(10,2) DEFAULT 0.00, CA14 DOUBLE(10,2) DEFAULT 0.00,
CA15 DOUBLE(10,2) DEFAULT 0.00, CA16 DOUBLE(10,2) DEFAULT 0.00, CA17 DOUBLE(10,2) DEFAULT 0.00,
CA18 DOUBLE(10,2) DEFAULT 0.00, CA19 DOUBLE(10,2) DEFAULT 0.00, CA20 DOUBLE(10,2) DEFAULT 0.00,
CA21 DOUBLE(10,2) DEFAULT 0.00, CA22 CHAR(2) DEFAULT "A" NOT NULL, CA23 DOUBLE(10,2) DEFAULT 0.00,
CA24 DOUBLE(10,2) DEFAULT 0.00, PRIMARY KEY kca (CA0,CA1,CA2,CA22),UNIQUE (CA0,CA1,CA2,CA22),INDEX kca (CA0,CA1,CA2,CA22));
#-------------------- Trabajo Cajas ---------------------------
CREATE TABLE IF NOT EXISTS trabajocajas (CATI INT(4) DEFAULT 0 NOT NULL, CAT0 DATE NOT NULL,
CAT1 INT(4) DEFAULT 0 NOT NULL, CAT2 INT(4) DEFAULT 0 NOT NULL, CAT3 DOUBLE(10,2) DEFAULT 0.00,
CAT4 DOUBLE(10,2) DEFAULT 0.00, CAT5 DOUBLE(10,2) DEFAULT 0.00, CAT6 DOUBLE(10,2) DEFAULT 0.00,
CAT7 DOUBLE(10,2) DEFAULT 0.00, CAT8 DOUBLE(10,2) DEFAULT 0.00, CAT9 DOUBLE(10,2) DEFAULT 0.00,
CAT10 DOUBLE(10,2) DEFAULT 0.00, CAT11 DOUBLE(10,2) DEFAULT 0.00, CAT12 DOUBLE(10,2) DEFAULT 0.00,
CAT13 DOUBLE(10,2) DEFAULT 0.00, CAT14 DOUBLE(10,2) DEFAULT 0.00, CAT15 DOUBLE(10,2) DEFAULT 0.00,
CAT16 DOUBLE(10,2) DEFAULT 0.00, CAT17 DOUBLE(10,2) DEFAULT 0.00, CAT18 DOUBLE(10,2) DEFAULT 0.00,
CAT19 DOUBLE(10,2) DEFAULT 0.00, CAT20 DOUBLE(10,2) DEFAULT 0.00, CAT21 DOUBLE(10,2) DEFAULT 0.00,
CAT22 CHAR(2) DEFAULT "A" NOT NULL, CAT23 DOUBLE(10,2) DEFAULT 0.00, CAT24 DOUBLE(10,2) DEFAULT 0.00,
PRIMARY KEY kcat (CATI,CAT0,CAT1,CAT2,CAT22), UNIQUE (CATI,CAT0,CAT1,CAT2,CAT22), INDEX kcat (CATI,CAT0,CAT1,CAT2,CAT22));
#-------------------- Albaranes Cab. --------------------------
CREATE TABLE IF NOT EXISTS albac0000 (AC0 INT(6) DEFAULT 0 NOT NULL, AC1 DATE NOT NULL,
AC2 INT(7) DEFAULT 0 NOT NULL, AC3 INT(4) DEFAULT 0, AC4 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
AC5 CHAR(1) NOT NULL DEFAULT "N", AC6 DOUBLE(5,2) DEFAULT 0.00 NOT NULL,
AC7 CHAR(1) DEFAULT "N" NOT NULL, AC8 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
AC9 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, AC10 CHAR(1) DEFAULT "N" NOT NULL, AC11 BLOB,
AC12 CHAR(2) NOT NULL DEFAULT 'A', AC13 CHAR(1) NOT NULL DEFAULT 'N',
PRIMARY KEY kac (AC0,AC1,AC2,AC12), UNIQUE (AC0,AC1,AC2,AC12), INDEX kac (AC0,AC1,AC2,AC12));
#-------------------- Albaranes Det. --------------------------
CREATE TABLE IF NOT EXISTS albad0000 (AD0 INT(6) DEFAULT 0 NOT NULL, AD1 DATE NOT NULL, AD2 INT(7) DEFAULT 0 NOT NULL,
AD3 INT(4) AUTO_INCREMENT NOT NULL, AD4 CHAR(13), AD5 BLOB, AD6 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
AD7 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, AD8 DOUBLE(5,2) DEFAULT 0.00 NOT NULL, AD9 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
AD10 INT(3) DEFAULT 0 NOT NULL, AD11 CHAR(23), AD12 DOUBLE(5,2) DEFAULT 0.00 NOT NULL, AD13 CHAR(1) NOT NULL DEFAULT "A",
AD14 CHAR(2) NOT NULL DEFAULT "A", AD15 DOUBLE(10,3) NOT NULL DEFAULT 0.00,
AD16 DOUBLE(10,3) NOT NULL DEFAULT 0.00, AD17 DOUBLE(10,3) NOT NULL DEFAULT 0.00,
PRIMARY KEY kad (AD0,AD1,AD2,AD3,AD14), UNIQUE (AD0,AD1,AD2,AD3,AD14), INDEX kad (AD0,AD1,AD2,AD3,AD14));
#-------------------- Facturas Cab. --------------------------
CREATE TABLE IF NOT EXISTS factuc0000 (FC0 INT(6) DEFAULT 0 NOT NULL, FC1 DATE NOT NULL,
FC2 CHAR(2) NOT NULL, FC3 INT(7) DEFAULT 0 NOT NULL, FC4 INT(4) DEFAULT 0 NOT NULL,
FC5 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, FC6 DOUBLE(5,2) DEFAULT 0.00 NOT NULL,
FC7 DOUBLE(5,2) DEFAULT 0.00 NOT NULL, FC8 CHAR(1) DEFAULT "N" NOT NULL,
FC9 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, FC10 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
FC11 CHAR(1) DEFAULT "N" NOT NULL, FC12 DATE, FC13 DOUBLE(10,3) DEFAULT 0.000 NOT NULL,
FC14 DATE, FC15 DOUBLE(10,3) DEFAULT 0.000 NOT NULL,
FC16 DATE, FC17 DOUBLE(10,3) DEFAULT 0.000 NOT NULL,
FC18 DATE, FC19 DOUBLE(10,3) DEFAULT 0.000 NOT NULL,
PRIMARY KEY kfc (FC0,FC1,FC2,FC3), UNIQUE (FC0,FC1,FC2,FC3), INDEX kfc (FC0,FC1,FC2,FC3));
#-------------------- Facturas Det. --------------------------
CREATE TABLE IF NOT EXISTS factud0000 (FD0 INT(6) DEFAULT 0 NOT NULL, FD1 DATE NOT NULL,
FD2 CHAR(2) NOT NULL, FD3 INT(7) DEFAULT 0 NOT NULL, FD4 INT(4) AUTO_INCREMENT NOT NULL,
FD5 CHAR(13), FD6 BLOB, FD7 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, FD8 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
FD9 DOUBLE(5,2) DEFAULT 0.00 NOT NULL, FD10 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, FD11 INT(3) DEFAULT 0 NOT NULL,
FD12 CHAR(23), FD13 DOUBLE(5,2) DEFAULT 0.00 NOT NULL, FD14 CHAR(100), FD15 CHAR(1) NOT NULL DEFAULT "A",
FD16 DOUBLE(10,2) NOT NULL DEFAULT 0.00, FD17 DOUBLE(10,2) NOT NULL DEFAULT 0.00, FD18 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
PRIMARY KEY kfd (FD0,FD1,FD2,FD3,FD4), UNIQUE (FD0,FD1,FD2,FD3,FD4), INDEX kfd (FD0,FD1,FD2,FD3,FD4));
#-------------------- Bolsa de ventas ------------------------
CREATE TABLE IF NOT EXISTS bolsa0000 (BO0 INT(10) AUTO_INCREMENT NOT NULL, BO1 CHAR(13),
BO2 CHAR(50), BO3 DOUBLE(5,2) DEFAULT 0.00, BO4 DOUBLE(10,2) DEFAULT 0.00,
PRIMARY KEY kbo (BO0), UNIQUE (BO0), INDEX kbo (BO0));
#-------------------- Pedidos Cab. --------------------------
CREATE TABLE IF NOT EXISTS pedicc0000 (PC0 INT(4) DEFAULT 0 NOT NULL,  PC1 DATE NOT NULL, PC2 INT(6) DEFAULT 0 NOT NULL,
PC3 INT(5) AUTO_INCREMENT NOT NULL, PC4 INT(6) DEFAULT 0 NOT NULL, PC5 INT(7) DEFAULT 0 NOT NULL,
PC6 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, PC7 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, PC8 CHAR(1) DEFAULT "N" NOT NULL,
PC9 CHAR(1) DEFAULT "P" NOT NULL, PC10 CHAR(50), PC11 CHAR(1) NOT NULL DEFAULT "N",
PRIMARY KEY kpc (PC0,PC1,PC2,PC3), UNIQUE (PC0,PC1,PC2,PC3), INDEX kpc (PC0,PC1,PC2,PC3));
#-------------------- Pedidos Det. --------------------------
CREATE TABLE IF NOT EXISTS pedidd0000 (PD0 INT(4) DEFAULT 0 NOT NULL, PD1 DATE NOT NULL, PD2 INT(6) DEFAULT 0 NOT NULL,
PD3 INT(5) DEFAULT 0 NOT NULL, PD4 CHAR(13) NOT NULL, PD5 INT(6) AUTO_INCREMENT NOT NULL, PD6 CHAR(50),
PD7 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, PD8 DOUBLE(10,3) DEFAULT 0.00 NOT NULL,
PD9 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, PD10 DOUBLE(10,3) DEFAULT 0.00 NOT NULL,
PD11 DOUBLE(5,2) DEFAULT 0.00 NOT NULL, PD12 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
PD13 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, PD14 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
PD15 CHAR(1) DEFAULT "S" NOT NULL, PD16 INT(4) DEFAULT 0 NOT NULL, PD17 CHAR(6), PD18 CHAR(6),
PD19 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, PD20 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
PD21 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
PRIMARY KEY kpd (PD0,PD1,PD2,PD3,PD4,PD5), UNIQUE (PD0,PD1,PD2,PD3,PD4,PD5), INDEX kpd (PD0,PD1,PD2,PD3,PD4,PD5));
#-------------------- Pedidos Tallas --------------------------
CREATE TABLE IF NOT EXISTS peditalla0000 (PT0 INT(4) DEFAULT 0 NOT NULL, PT1 DATE NOT NULL, PT2 INT(6) DEFAULT 0 NOT NULL,
PT3 INT(5) DEFAULT 0 NOT NULL, PT4 CHAR(13) NOT NULL, PT5 CHAR(6) NOT NULL, PT6 CHAR(4) NOT NULL,
PT7 DOUBLE(5,2) DEFAULT 0.00, PT8 DOUBLE(10,2) DEFAULT 0.00, PT9 DOUBLE(10,2) DEFAULT 0.00,
PT10 DOUBLE(10,2) DEFAULT 0.00, PT11 CHAR(23), PRIMARY KEY kpt (PT0,PT1,PT2,PT3,PT4,PT5,PT6),
UNIQUE (PT0,PT1,PT2,PT3,PT4,PT5,PT6), INDEX kpt (PT0,PT1,PT2,PT3,PT4,PT5,PT6));
#------------------ Hist. Pedidos Tallas ------------------------
CREATE TABLE IF NOT EXISTS hipeditalla0000 (HPT0 INT(4) DEFAULT 0 NOT NULL, HPT1 DATE NOT NULL, HPT2 INT(6) DEFAULT 0 NOT NULL,
HPT3 INT(5) DEFAULT 0 NOT NULL, HPT4 CHAR(13) NOT NULL, HPT5 CHAR(6) NOT NULL, HPT6 CHAR(4) NOT NULL,
HPT7 DOUBLE(5,2) DEFAULT 0.00, HPT8 DOUBLE(10,2) DEFAULT 0.00, HPT9 DOUBLE(10,2) DEFAULT 0.00,
HPT10 DOUBLE(10,2) DEFAULT 0.00, HPT11 CHAR(23), HPT12 TIME NOT NULL,
PRIMARY KEY khpt (HPT0,HPT1,HPT2,HPT3,HPT4,HPT5,HPT6,HPT12),
UNIQUE (HPT0,HPT1,HPT2,HPT3,HPT4,HPT5,HPT6,HPT12), INDEX khpt (HPT0,HPT1,HPT2,HPT3,HPT4,HPT5,HPT6,HPT12));
#------------------Hist. Pedidos Cab. --------------------------
CREATE TABLE IF NOT EXISTS hipecc0000 (HPC0 INT(4) DEFAULT 0 NOT NULL, HPC1 DATE NOT NULL, HPC2 INT(6) DEFAULT 0 NOT NULL,
HPC3 INT(5) AUTO_INCREMENT NOT NULL, HPC4 CHAR(15), HPC5 DATE, HPC6 DOUBLE(10,2) DEFAULT 0.00,
HPC7 DOUBLE(10,2) DEFAULT 0.00, HPC8 DOUBLE(10,2) DEFAULT 0.00, HPC9 DOUBLE(10,2) DEFAULT 0.00,
HPC10 DOUBLE(10,2) DEFAULT 0.00, HPC11 DOUBLE(10,2) DEFAULT 0.00, HPC12 DOUBLE(10,2) DEFAULT 0.00,
HPC13 DOUBLE(10,2) DEFAULT 0.00, HPC14 CHAR(50), HPC15 DATE, HPC16 DOUBLE(10,2) DEFAULT 0.00, HPC17 DATE,
HPC18 DOUBLE(10,2) DEFAULT 0.00, HPC19 DATE, HPC20 DOUBLE(10,2) DEFAULT 0.00, HPC21 CHAR(1) NOT NULL DEFAULT "N",
HPC22 TIME NOT NULL, PRIMARY KEY khpc (HPC0,HPC1,HPC2,HPC3,HPC22),
UNIQUE (HPC0,HPC1,HPC2,HPC3,HPC22), INDEX khpc (HPC0,HPC1,HPC2,HPC3,HPC22));
#------------------Hist. Pedidos Det. --------------------------
CREATE TABLE IF NOT EXISTS hipedd0000 (HPD0 INT(4) DEFAULT 0 NOT NULL, HPD1 DATE NOT NULL, HPD2 INT(6) DEFAULT 0 NOT NULL,
HPD3 INT(5) DEFAULT 0 NOT NULL, HPD4 CHAR(13) NOT NULL, HPD5 INT(6) AUTO_INCREMENT NOT NULL, HPD6 CHAR(50),
HPD7 DOUBLE(10,2) DEFAULT 0.00, HPD8 DOUBLE(10,2) DEFAULT 0.00, HPD9 DOUBLE(10,2) DEFAULT 0.00,
HPD10 DOUBLE(10,2) DEFAULT 0.00, HPD11 DOUBLE(5,2) DEFAULT 0.00, HPD12 DOUBLE(10,2) DEFAULT 0.00,
HPD13 DOUBLE(10,2) DEFAULT 0.00, HPD14 DOUBLE(10,2) DEFAULT 0.00, HPD15 CHAR(1) DEFAULT "S" NOT NULL,
HPD16 INT(4) DEFAULT 0, HPD17 INT(3) DEFAULT 0 NOT NULL, HPD18 CHAR(6), HPD19 CHAR(6), HPD20 TIME NOT NULL,
PRIMARY KEY khpd (HPD0,HPD1,HPD2,HPD3,HPD4,HPD5,HPD20), UNIQUE (HPD0,HPD1,HPD2,HPD3,HPD4,HPD5,HPD20),
INDEX khpd (HPD0,HPD1,HPD2,HPD3,HPD4,HPD5,HPD20));
#------------------ Pesos ponderados ---------------------------
CREATE TABLE IF NOT EXISTS pesoconsumos (PC0 INT(2) DEFAULT 0 NOT NULL, PC1 DOUBLE(10,2) DEFAULT 0.00,
PC2 DOUBLE(10,2) DEFAULT 0.00, PC3 DOUBLE(10,2) DEFAULT 0.00, PC4 DOUBLE(10,2) DEFAULT 0.00, PC5 DOUBLE(10,2) DEFAULT 0.00,
PC6 DOUBLE(10,2) DEFAULT 0.00, PC7 DOUBLE(10,2) DEFAULT 0.00, PC8 DOUBLE(10,2) DEFAULT 0.00, PC9 DOUBLE(10,2) DEFAULT 0.00,
PC10 DOUBLE(10,2) DEFAULT 0.00, PC11 DOUBLE(5,2) DEFAULT 0.00, PC12 DOUBLE(10,2) DEFAULT 0.00,
PC13 DOUBLE(10,2) DEFAULT 0.00, PC14 DOUBLE(10,2) DEFAULT 0.00,
PRIMARY KEY kpc (PC0),  UNIQUE (PC0), INDEX kpc (PC0));
#------------------ Cambios de precios -------------------------
CREATE TABLE IF NOT EXISTS cambios (CA0 CHAR(13) NOT NULL, CA1 CHAR(50), CA2 DOUBLE(10,2) DEFAULT 0.00,
PRIMARY KEY kca (CA0), UNIQUE (CA0), INDEX kca (CA0));
#------------------ Hist. Operaciones Cab. ---------------------
CREATE TABLE IF NOT EXISTS hisopcc0000 (HO0 CHAR(1) NOT NULL, HO1 DATE NOT NULL, HO2 TIME NOT NULL,
HO3 INT(6) NOT NULL, HO4 CHAR(1) NOT NULL, HO5 INT(4) NOT NULL, HO6 CHAR(10), HO7 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
HO8 DOUBLE(5,2) DEFAULT 0.00 NOT NULL, HO9 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, HO10 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
HO11 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, HO12 CHAR(10), HO13 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, HO14 CHAR(1) DEFAULT "N",
PRIMARY KEY kho (HO0,HO1,HO2,HO3,HO4,HO5), UNIQUE (HO0,HO1,HO2,HO3,HO4,HO5), INDEX kho (HO0,HO1,HO2,HO3,HO4,HO5));
#------------------ Hist. Operaciones Det. ---------------------
CREATE TABLE IF NOT EXISTS hisopdd0000 (HOD0 CHAR(1) NOT NULL, HOD1 DATE NOT NULL, HOD2 TIME NOT NULL, HOD3 INT(6) DEFAULT 0 NOT NULL,
HOD4 CHAR(1) NOT NULL, HOD5 INT(4) NOT NULL, HOD6 INT(5) AUTO_INCREMENT NOT NULL, HOD7 CHAR(13),
HOD8 CHAR(50), HOD9 DOUBLE(5,2) DEFAULT 0.00 NOT NULL, HOD10 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
HOD11 INT(3) DEFAULT 0 NOT NULL, HOD12 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, HOD13 INT(3) DEFAULT 0 NOT NULL,
PRIMARY KEY khod (HOD0,HOD1,HOD2,HOD3,HOD4,HOD5,HOD6),
UNIQUE (HOD0,HOD1,HOD2,HOD3,HOD4,HOD5,HOD6), INDEX khod (HOD0,HOD1,HOD2,HOD3,HOD4,HOD5,HOD6));
#----------------------- Claves -------------------------
CREATE TABLE IF NOT EXISTS claves (CLA0 INT(1) NOT NULL, CLA1 CHAR(8), CLA2 INT(1) DEFAULT 0, CLA3 INT(1) DEFAULT 0,
CLA4 INT(1) DEFAULT 0, CLA5 INT(1) DEFAULT 0, CLA6 INT(1) DEFAULT 0, CLA7 INT(1) DEFAULT 0, CLA8 INT(1) DEFAULT 0,
CLA9 INT(1) DEFAULT 0, CLA10 INT(1) DEFAULT 0, CLA11 INT(1) DEFAULT 0, CLA12 INT(1) DEFAULT 0, CLA13 INT(1) DEFAULT 0,
CLA14 INT(1) DEFAULT 0, CLA15 INT(1) DEFAULT 0, CLA16 INT(1) DEFAULT 0, CLA17 INT(1) DEFAULT 0, CLA18 INT(1) DEFAULT 0,
CLA19 INT(1) DEFAULT 0, CLA20 INT(1) DEFAULT 0, CLA21 INT(1) DEFAULT 0, CLA22 INT(1) DEFAULT 0, CLA23 INT(1) DEFAULT 0,
CLA24 INT(1) DEFAULT 0, CLA25 INT(1) DEFAULT 0, CLA26 INT(1) DEFAULT 0, CLA27 INT(1) DEFAULT 0, CLA28 INT(1) DEFAULT 0,
CLA29 INT(1) DEFAULT 0, CLA30 INT(1) DEFAULT 0,
PRIMARY KEY kcla (CLA0), UNIQUE (CLA0), INDEX kcla (CLA0));
#------------------- Deudas Cab. ------------------------
CREATE TABLE IF NOT EXISTS deudascc0000 (DE0 INT(6) NOT NULL, DE1 DATE NOT NULL, DE2 TIME NOT NULL, DE3 CHAR(10) NOT NULL,
DE4 CHAR(60), DE5 INT(5), DE6 DOUBLE(10,2) DEFAULT 0.00, DE7 DOUBLE(10,2) DEFAULT 0.00,
DE8 DOUBLE(10,2) DEFAULT 0.00, DE9 CHAR(1) DEFAULT "N", DE10 BLOB, DE11 INT(4),
PRIMARY KEY kde (DE0,DE1,DE2,DE3), UNIQUE (DE0,DE1,DE2,DE3),  INDEX kde (DE0,DE1,DE2,DE3));
#------------------- Deudas Det. ------------------------
CREATE TABLE IF NOT EXISTS deudasdd0000 (DDE0 INT(6) NOT NULL, DDE1 DATE NOT NULL, DDE2 TIME NOT NULL, DDE3 CHAR(10) NOT NULL,
DDE4 CHAR(13) NOT NULL, DDE5 CHAR(50), DDE6 DOUBLE(5,2) DEFAULT 0.00, DDE7 DOUBLE(10,2) DEFAULT 0.00,
DDE8 INT(3) DEFAULT 0, DDE9 DOUBLE(10,2) DEFAULT 0.00, DDE10 INT(3) DEFAULT 0, DDE11 CHAR(1) DEFAULT "N",
DDE12 CHAR(23) NOT NULL DEFAULT "0", DDE13 INT(7) auto_increment NOT NULL,
PRIMARY KEY kdde (DDE0,DDE1,DDE2,DDE3,DDE4,DDE12,DDE13),
UNIQUE (DDE0,DDE1,DDE2,DDE3,DDE4,DDE12,DDE13), INDEX kdde (DDE0,DDE1,DDE2,DDE3,DDE4,DDE12,DDE13));
#---------------------- Arreglos ------------------------
CREATE TABLE IF NOT EXISTS arreglos0000 (AR0 INT(6) NOT NULL, AR1 DATE NOT NULL,
AR2 TIME NOT NULL, AR3 CHAR(5) NOT NULL, AR4 CHAR(60), AR5 DATE,
AR6 INT(1) DEFAULT 0, AR7 INT(1) DEFAULT 0, AR8 INT(1) DEFAULT 0,
AR9 INT(1) DEFAULT 0, AR10 INT(4), AR11 DOUBLE(10,2) DEFAULT 0.00,
AR12 DOUBLE(10,2) NOT NULL DEFAULT 0.00, AR13 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
AR14 DOUBLE(10,2) NOT NULL DEFAULT 0.00, AR15 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
AR16 DOUBLE(10,2) NOT NULL DEFAULT 0.00, AR17 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
AR18 DOUBLE(10,2) NOT NULL DEFAULT 0.00, AR19 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
AR20 DOUBLE(10,2) NOT NULL DEFAULT 0.00, AR21 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
AR22 DOUBLE(10,2) NOT NULL DEFAULT 0.00, AR23 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
AR24 DOUBLE(10,2) NOT NULL DEFAULT 0.00, AR25 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
AR26 DOUBLE(10,2) NOT NULL DEFAULT 0.00, AR27 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
AR28 DOUBLE(10,2) NOT NULL DEFAULT 0.00, AR29 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
AR30 BLOB, AR31 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
PRIMARY KEY kar (AR0,AR1,AR2), UNIQUE (AR0,AR1,AR2), INDEX kar (AR0,AR1,AR2));
#---------------------- Pagos varios --------------------
CREATE TABLE IF NOT EXISTS pagos0000 (PAG0 INT(4) NOT NULL, PAG1 DATE NOT NULL, PAG2 TIME NOT NULL,
PAG3 CHAR(60), PAG4 DOUBLE(10,2) DEFAULT 0.00,
PRIMARY KEY kpag (PAG0,PAG1,PAG2), UNIQUE (PAG0,PAG1,PAG2), INDEX kpag (PAG0,PAG1,PAG2));
#---------------------- Cierres diarios -----------------
CREATE TABLE IF NOT EXISTS cierres (CR0 INT(4) NOT NULL, CR1 DATE NOT NULL, CR2 TIME NOT NULL, CR3 INT(4) NOT NULL,
CR4 CHAR(13) NOT NULL, CR5 CHAR(50), CR6 DOUBLE(10,2) DEFAULT 0.00, CR7 DOUBLE(10,2) DEFAULT 0.00,
CR8 DOUBLE(10,2) DEFAULT 0.00, CR9 DOUBLE(10,2) DEFAULT 0.00, CR10 DOUBLE(10,2) DEFAULT 0.00,
PRIMARY KEY kcr (CR0,CR1,CR2,CR3,CR4), UNIQUE (CR0,CR1,CR2,CR3,CR4), INDEX kcr (CR0,CR1,CR2,CR3,CR4));
#----------------- Inicio Cierres diarios -----------------
CREATE TABLE IF NOT EXISTS inicierres (ICR0 CHAR(13) NOT NULL, ICR1 DOUBLE(10,2) DEFAULT 0.00,
ICR2 DATE NOT NULL, PRIMARY KEY kicr (ICR0,ICR2), UNIQUE (ICR0,ICR2), INDEX kicr (ICR0,ICR2));
#----------------- Hist. Cierres diarios -----------------
CREATE TABLE IF NOT EXISTS histocierre0000 (HCR0 INT(4) NOT NULL,HCR1 DATE NOT NULL,HCR2 TIME NOT NULL,HCR3 INT(4) NOT NULL,
HCR4 CHAR(13) NOT NULL, HCR5 CHAR(50), HCR6 DOUBLE(10,2) DEFAULT 0.00, HCR7 DOUBLE(10,2) DEFAULT 0.00,
HCR8 DOUBLE(10,2) DEFAULT 0.00, HCR9 DOUBLE(10,2) DEFAULT 0.00, HCR10 DOUBLE(10,2) DEFAULT 0.00,
PRIMARY KEY khcr (HCR0,HCR1,HCR2,HCR3,HCR4), UNIQUE (HCR0,HCR1,HCR2,HCR3,HCR4), INDEX khcr (HCR0,HCR1,HCR2,HCR3,HCR4));
#----------------- Devoluciones Und. cierres -----------------
CREATE TABLE IF NOT EXISTS devolucierre (DV0 CHAR(13) NOT NULL, DV1 DOUBLE(10,2) DEFAULT 0.00,
PRIMARY KEY kdv (DV0), UNIQUE (DV0), INDEX kdv (DV0));
#----------------------- Grupos cierres -------------------
CREATE TABLE IF NOT EXISTS grupos0000 (GR0 INT(6) NOT NULL, GR1 CHAR(50), GR2 DOUBLE(10,2) DEFAULT 0.00,
PRIMARY KEY kgr (GR0), UNIQUE (GR0), INDEX kgr (GR0));
#----------------------- Agrupados ---------------------------
CREATE TABLE IF NOT EXISTS agrupados (AGR0 INT(6) NOT NULL, AGR1 CHAR(13) NOT NULL,
AGR2 CHAR(50), AGR3 INT(4), AGR4 CHAR(1) DEFAULT "A",
PRIMARY KEY kagr (AGR0,AGR1), UNIQUE (AGR0,AGR1), INDEX kagr (AGR0,AGR1));
#------------------- Encendidos / Apagados  --------------------
CREATE TABLE IF NOT EXISTS inicios0000 (ISI0 DATE NOT NULL, ISI1 TIME NOT NULL, ISI2 CHAR(10),
PRIMARY KEY kisi (ISI0,ISI1), UNIQUE (ISI0,ISI1), INDEX kisi (ISI0,ISI1));
#----------------------- Pedidos agrupados ----------------
CREATE TABLE IF NOT EXISTS pedigrupo (PGR0 INT(6) NOT NULL, PGR1 CHAR(50), PGR2 CHAR(13),
PGR3 CHAR(50), PRIMARY KEY kpgr (PGR0), UNIQUE (PGR0), INDEX kpgr (PGR0));
#----------------------- Trabajo actualiz. ----------------
CREATE TABLE IF NOT EXISTS trabajoact (TRA0 CHAR(5) NOT NULL,TRA1 INT(6) NOT NULL,TRA2 CHAR(30),
TRA3 DOUBLE(10,2), PRIMARY KEY ktra (TRA0,TRA1), UNIQUE (TRA0,TRA1), INDEX ktra (TRA0,TRA1));
#----------------------- Cambios de precios ---------------
CREATE TABLE IF NOT EXISTS cambiprefe (PRF0 CHAR(13) NOT NULL, PRF1 CHAR(50), PRF2 double(10,2) default 0.00,
PRF3 double(10,2) default 0.00, PRF4 int(3) default 0, PRF5 date, PRF6 date, PRF7 double(10,2) default 0.00,
PRF8 double(10,2) default 0.00, PRF9 int(3) default 0, PRIMARY KEY kprf (PRF0),  UNIQUE (PRF0),  INDEX kprf (PRF0)); 
#----------------------- Formas de pagos ---------------
CREATE TABLE IF NOT EXISTS formapago (FPA0 INT(2) NOT NULL,FPA1 CHAR(50),
PRIMARY KEY kfpa (FPA0), UNIQUE (FPA0), INDEX kfpa (FPA0));
#------------------- Distintivos de clientes ------------
CREATE TABLE IF NOT EXISTS distinti (DIS0 INT(7) NOT NULL DEFAULT 0, DIS1 CHAR(50), DIS2 CHAR(50), DIS3 CHAR(50),
PRIMARY KEY kdis (DIS0), UNIQUE (DIS0), INDEX kprf (DIS0));
#------------------ Precios de tarifas ------------------
CREATE TABLE IF NOT EXISTS tarifas (TAR0 CHAR(13) NOT NULL,
TAR1 DOUBLE(8,3) NOT NULL DEFAULT 0.000, TAR2 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
TAR3 DOUBLE(8,3) NOT NULL DEFAULT 0.000, TAR4 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
TAR5 DOUBLE(8,3) NOT NULL DEFAULT 0.000, TAR6 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
PRIMARY KEY ktar (TAR0), UNIQUE (TAR0), INDEX ktar (TAR0));
#----------------- Series de Facturas -------------------
CREATE TABLE IF NOT EXISTS seriesfactu (SF0 CHAR(2) NOT NULL, SF1 CHAR(50), SF2 INT(7),
SF3 INT(7), SF4 INT(7), SF5 CHAR(1) NOT NULL DEFAULT 'N', SF6 INT(7) NOT NULL DEFAULT 0,
PRIMARY KEY ksf (SF0), UNIQUE (SF0), INDEX ksf (SF0));
#---------------- Representantes / Administradores ------
CREATE TABLE IF NOT EXISTS adminis (AD0 INT(6) NOT NULL, AD1 CHAR(50), AD2 CHAR(50), AD3 CHAR(50), AD4 CHAR(50),
AD5 CHAR(6), AD6 CHAR(15), AD7 CHAR(20), AD8 CHAR(20), AD9 CHAR(20), AD10 CHAR(50), AD11 INT(2) DEFAULT 0, AD12 CHAR(2),
AD13 INT(1) DEFAULT 0, AD14 DOUBLE(5,2) DEFAULT 0, AD15 DOUBLE(10,2) DEFAULT 0, AD16 CHAR(50), AD17 DOUBLE(10,2) DEFAULT 0,
AD18 DOUBLE(10,2) DEFAULT 0, AD19 DOUBLE(10,2) DEFAULT 0, AD20 INT(1) DEFAULT 0, AD21 INT(1) DEFAULT 0, AD22 BLOB,
AD23 INT(3) DEFAULT 0, AD24 INT(1) DEFAULT 0, AD25 CHAR(1), AD26 DOUBLE(10,2) DEFAULT 0, AD27 DOUBLE(10,2) DEFAULT 0,
AD28 INT(3) DEFAULT 0, AD29 DOUBLE(5,2) DEFAULT 0, AD30 INT(1) DEFAULT 0, AD31 DOUBLE(10,2) DEFAULT 0,
AD32 DOUBLE(10,2) DEFAULT 0, AD33 INT(3) DEFAULT 0, AD34 DOUBLE(5,2) DEFAULT 0, AD35 DOUBLE(10,2) DEFAULT 0,
AD36 INT(2) DEFAULT 0, AD37 INT(2) DEFAULT 0, AD38 INT(2) DEFAULT 0, AD39 CHAR(10), AD40 CHAR(50), AD41 CHAR(50),
AD42 CHAR(50), AD43 CHAR(1), AD44 INT(1) DEFAULT 0, AD45 INT(1) DEFAULT 0, AD46 INT(6) DEFAULT 0, AD47 CHAR(50),
AD48 CHAR(20), AD49 CHAR(50), AD50 CHAR(50), AD51 CHAR(20), AD52 CHAR(20),
PRIMARY KEY kadm (AD0), UNIQUE (AD0), INDEX kadm (AD0));
#-------------------- Estad. Repres./Admin --------------------
CREATE TABLE IF NOT EXISTS estadmin (AC0 INT(6) NOT NULL, AC1 INT(4) NOT NULL, AC2 INT(2) NOT NULL,
AC3 DOUBLE(10,2) DEFAULT 0.00, AC4 DOUBLE(10,2) DEFAULT 0.00, AC5 DOUBLE(10,2) DEFAULT 0.00,
AC6 DOUBLE(10,2) DEFAULT 0.00, AC7 DOUBLE(10,2) DEFAULT 0.00, PRIMARY KEY kac (AC0,AC1,AC2),
UNIQUE (AC0,AC1,AC2), INDEX kac (AC0,AC1,AC2));
#-------------------- Envases ---------------------------------
CREATE TABLE IF NOT EXISTS envas ( EN0 CHAR(13) NOT NULL, EN1 CHAR(50), EN2 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
EN3 INTEGER(3) NOT NULL DEFAULT 0, EN4 DOUBLE(10,2) NOT NULL DEFAULT 0.00, EN5 DOUBLE(10,2) NOT NULL DEFAULT 0.00,
EN6 INTEGER(10) NOT NULL DEFAULT 0, EN7 INTEGER(10) NOT NULL DEFAULT 0, EN8 INTEGER(10) NOT NULL DEFAULT 0,
EN9 INTEGER(10) NOT NULL DEFAULT 0, EN10 DATE, EN11 DATE, EN12 CHAR(50),
PRIMARY KEY ke (EN0), UNIQUE (EN0), INDEX ke (EN0));
#-------------------- Lotes Cabeceras ---------------------------------
CREATE TABLE IF NOT EXISTS lotescc0000 (LO0 int(6) NOT NULL default 0, LO1 varchar(50) NOT NULL,
LO2 double(10,2) default 0.00, LO3 double(10,2) default 0.00, LO4 double(10,2) default 0.00,
LO5 date NOT NULL, LO6 date NOT NULL, LO7 blob, LO8 int(4) default NULL,
PRIMARY KEY (LO0), UNIQUE (LO0), INDEX kde (LO0)); 
#-------------------- Lotes Detalles ---------------------------------
CREATE TABLE IF NOT EXISTS lotesdd0000 (LOO0 int(6) NOT NULL default 0, LOO1 char(23) NOT NULL,
LOO2 char(50) NOT NULL, LOO3 double(5,2) default 0.00, LOO4 double(10,2) default 0.00, LOO5 double(10,2) default 0.00,
LOO6 double(10,2) default 0.00, LOO7 INT(5) auto_increment NOT NULL, LOO8 INT(3) NOT NULL DEFAULT 0,
PRIMARY KEY (LOO0,LOO1,LOO7), UNIQUE (LOO0,LOO1,LOO7), INDEX kloo (LOO0,LOO1,LOO7)); 
#-------------------- Botoneras Cab. ----------------------------
CREATE TABLE IF NOT EXISTS botonescc (BTC0 INT(5) NOT NULL DEFAULT 1, BTC1 CHAR(15),
BTC2 INT(1) NOT NULL DEFAULT 0, BTC3 INT(5) NOT NULL DEFAULT 0,
PRIMARY KEY ka (BTC0), UNIQUE (BTC0), INDEX ka (BTC0));
#-------------------- Botoneras Cab. ----------------------------
CREATE TABLE IF NOT EXISTS botonesdd (BTD0 INT(5) NOT NULL DEFAULT 1, BTD1 INT(5) NOT NULL DEFAULT 1, BTD2 CHAR(20),
BTD3 CHAR(13), BTD4 CHAR(150), BTD5 CHAR(150), BTD6 CHAR(1) DEFAULT 'N',
PRIMARY KEY ka (BTD0, BTD1), UNIQUE (BTD0, BTD1), INDEX ka (BTD0, BTD1));
#-------------------- Cajas B ---------------------------------
CREATE TABLE IF NOT EXISTS opeb0000 (CA0 DATE NOT NULL, CA1 INT(4) NOT NULL, CA2 INT(4) NOT NULL, CA3 DOUBLE(10,2) DEFAULT 0.00,
CA4 DOUBLE(10,2) DEFAULT 0.00, CA5 DOUBLE(10,2) DEFAULT 0.00, CA6 DOUBLE(10,2) DEFAULT 0.00, CA7 DOUBLE(10,2) DEFAULT 0.00,
CA8 DOUBLE(10,2) DEFAULT 0.00, CA9 DOUBLE(10,2) DEFAULT 0.00, CA10 DOUBLE(10,2) DEFAULT 0.00, CA11 DOUBLE(10,2) DEFAULT 0.00,
CA12 DOUBLE(10,2) DEFAULT 0.00, CA13 DOUBLE(10,2) DEFAULT 0.00, CA14 DOUBLE(10,2) DEFAULT 0.00,
CA15 DOUBLE(10,2) DEFAULT 0.00, CA16 DOUBLE(10,2) DEFAULT 0.00, CA17 DOUBLE(10,2) DEFAULT 0.00,
CA18 DOUBLE(10,2) DEFAULT 0.00, CA19 DOUBLE(10,2) DEFAULT 0.00, CA20 DOUBLE(10,2) DEFAULT 0.00,
CA21 DOUBLE(10,2) DEFAULT 0.00, CA22 CHAR(2) DEFAULT "A" NOT NULL, CA23 DOUBLE(10,2) DEFAULT 0.00,
CA24 DOUBLE(10,2) DEFAULT 0.00, PRIMARY KEY kca (CA0,CA1,CA2,CA22),UNIQUE (CA0,CA1,CA2,CA22),INDEX kca (CA0,CA1,CA2,CA22));
#------------------ Hist. Operaciones Cab. B -------------------
CREATE TABLE IF NOT EXISTS hiopebcc0000 (HO0 CHAR(1) NOT NULL, HO1 DATE NOT NULL, HO2 TIME NOT NULL,
HO3 INT(6) NOT NULL, HO4 CHAR(1) NOT NULL, HO5 INT(4) NOT NULL, HO6 CHAR(10), HO7 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
HO8 DOUBLE(5,2) DEFAULT 0.00 NOT NULL, HO9 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, HO10 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
HO11 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, HO12 CHAR(10), HO13 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, HO14 CHAR(1) DEFAULT "N",
PRIMARY KEY kho (HO0,HO1,HO2,HO3,HO4,HO5), UNIQUE (HO0,HO1,HO2,HO3,HO4,HO5), INDEX kho (HO0,HO1,HO2,HO3,HO4,HO5));
#------------------ Hist. Operaciones Det. B -------------------
CREATE TABLE IF NOT EXISTS hiopebdd0000 (HOD0 CHAR(1) NOT NULL, HOD1 DATE NOT NULL, HOD2 TIME NOT NULL, HOD3 INT(6) DEFAULT 0 NOT NULL,
HOD4 CHAR(1) NOT NULL, HOD5 INT(4) NOT NULL, HOD6 INT(5) AUTO_INCREMENT NOT NULL, HOD7 CHAR(13),
HOD8 CHAR(50), HOD9 DOUBLE(5,2) DEFAULT 0.00 NOT NULL, HOD10 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
HOD11 INT(3) DEFAULT 0 NOT NULL, HOD12 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, HOD13 INT(3) DEFAULT 0 NOT NULL,
PRIMARY KEY khod (HOD0,HOD1,HOD2,HOD3,HOD4,HOD5,HOD6),
UNIQUE (HOD0,HOD1,HOD2,HOD3,HOD4,HOD5,HOD6), INDEX khod (HOD0,HOD1,HOD2,HOD3,HOD4,HOD5,HOD6));
#-------------------- Albaranes B Cab. --------------------------
CREATE TABLE IF NOT EXISTS albacb0000 (AC0 INT(6) DEFAULT 0 NOT NULL, AC1 DATE NOT NULL,
AC2 INT(7) DEFAULT 0 NOT NULL, AC3 INT(4) DEFAULT 0, AC4 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
AC5 CHAR(1) NOT NULL DEFAULT "N", AC6 DOUBLE(5,2) DEFAULT 0.00 NOT NULL,
AC7 CHAR(1) DEFAULT "N" NOT NULL, AC8 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
AC9 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, AC10 CHAR(1) DEFAULT "N" NOT NULL, AC11 BLOB,
AC12 CHAR(2) NOT NULL DEFAULT 'A', AC13 CHAR(1) NOT NULL DEFAULT 'N',
PRIMARY KEY kac (AC0,AC1,AC2,AC12), UNIQUE (AC0,AC1,AC2,AC12), INDEX kac (AC0,AC1,AC2,AC12));
#-------------------- Albaranes B Det. --------------------------
CREATE TABLE IF NOT EXISTS albadb0000 (AD0 INT(6) DEFAULT 0 NOT NULL, AD1 DATE NOT NULL, AD2 INT(7) DEFAULT 0 NOT NULL,
AD3 INT(4) AUTO_INCREMENT NOT NULL, AD4 CHAR(13), AD5 BLOB, AD6 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
AD7 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, AD8 DOUBLE(5,2) DEFAULT 0.00 NOT NULL, AD9 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
AD10 INT(3) DEFAULT 0 NOT NULL, AD11 CHAR(23), AD12 DOUBLE(5,2) DEFAULT 0.00 NOT NULL, AD13 CHAR(1) NOT NULL DEFAULT "A",
AD14 CHAR(2) NOT NULL DEFAULT "A", AD15 DOUBLE(10,3) NOT NULL DEFAULT 0.00,
AD16 DOUBLE(10,3) NOT NULL DEFAULT 0.00, AD17 DOUBLE(10,3) NOT NULL DEFAULT 0.00,
PRIMARY KEY kad (AD0,AD1,AD2,AD3,AD14), UNIQUE (AD0,AD1,AD2,AD3,AD14), INDEX kad (AD0,AD1,AD2,AD3,AD14));
#----------------- Travegabe / ventas / gastos / beneficios -------------
CREATE TABLE IF NOT EXISTS travegabe (TRV0 INT(4) NOT NULL, TRV1 INT(4) NOT NULL, TRV2 INT(2) NOT NULL, TRV3 CHAR(50),
TRV4 DOUBLE(10,2) DEFAULT 0.00, TRV5 DOUBLE(10,2) DEFAULT 0.00, TRV6 DOUBLE(10,2) DEFAULT 0.00,
TRV7 DOUBLE(10,2) DEFAULT 0.00, PRIMARY KEY ktrv (TRV0,TRV1,TRV2), UNIQUE (TRV0,TRV1,TRV2), INDEX ktrv (TRV0,TRV1,TRV2));
#----------------- Autores / Fabricantes --------------------------------
CREATE TABLE IF NOT EXISTS autofabri ( AUT0 INT(4) NOT NULL DEFAULT 0, AUT1 CHAR(50),
PRIMARY KEY kaut (AUT0), UNIQUE (AUT0), INDEX kaut (AUT0));
#----------------- Mesas Cabeceras --------------------------------
CREATE TABLE IF NOT EXISTS mesascc ( MEC0 INT(5) NOT NULL, MEC1 CHAR(15) NOT NULL DEFAULT "SALA",
MEC2 INT(5) NOT NULL DEFAULT 0, PRIMARY KEY km (MEC0), UNIQUE (MEC0), INDEX km (MEC0));
#----------------- Mesas Detalles --------------------------------
CREATE TABLE IF NOT EXISTS mesasdd ( MED0 INT(5) NOT NULL, MED1 INT(4) NOT NULL, MED2 CHAR(15) NOT NULL DEFAULT "MESA",
MED3 CHAR(150), MED4 CHAR(150), MED5 INT(5) NOT NULL DEFAULT 0, MED6 INT(5) NOT NULL DEFAULT 0,
MED7 INT(5) NOT NULL DEFAULT 0, MED8 INT(5) NOT NULL DEFAULT 0,
PRIMARY KEY km (MED0,MED1), UNIQUE (MED0,MED1), INDEX km (MED0,MED1));
#----------------- Presupuestos Cab --------------------------------
CREATE TABLE IF NOT EXISTS presupcc0000 ( PC0 INT(6) DEFAULT 0 NOT NULL, PC1 DATE NOT NULL,
PC2 CHAR(2) NOT NULL DEFAULT 'A', PC3 INT(7) DEFAULT 0 NOT NULL, PC4 INT(4) DEFAULT 0,
PC5 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, PC6 DOUBLE(5,2) DEFAULT 0.00 NOT NULL,
PC7 CHAR(1) DEFAULT "N" NOT NULL, PC8 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, PC9 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
PC10 CHAR(1) DEFAULT 'N' NOT NULL, PC11 BLOB, PRIMARY KEY kpc (PC0,PC1,PC2,PC3), UNIQUE (PC0,PC1,PC2,PC3),
INDEX kpc (PC0,PC1,PC2,PC3));
#----------------- Presupuestos Det --------------------------------
CREATE TABLE IF NOT EXISTS presupdd0000 ( PD0 INT(6) DEFAULT 0 NOT NULL, PD1 DATE NOT NULL, PD2 CHAR(2) NOT NULL DEFAULT "A",
PD3 INT(7) DEFAULT 0 NOT NULL, PD4 INT(4) AUTO_INCREMENT NOT NULL, PD5 CHAR(13), PD6 BLOB,
PD7 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, PD8 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, PD9 DOUBLE(5,2) DEFAULT 0.00 NOT NULL,
PD10 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, PD11 INT(3) DEFAULT 0 NOT NULL, PD12 CHAR(23), PD13 CHAR(1) NOT NULL DEFAULT "A",
PD14 DOUBLE(10,3) DEFAULT 0.00 NOT NULL, PD15 DOUBLE(10,3) DEFAULT 0.00 NOT NULL, PD16 DATE,
PD17 CHAR(1) NOT NULL DEFAULT "N", PD18 CHAR(1) NOT NULL DEFAULT "N", PD19 DOUBLE(10,2) DEFAULT 0.00 NOT NULL,
PD20 DOUBLE(10,2) DEFAULT 0.00 NOT NULL, PRIMARY KEY kpd (PD0,PD1,PD2,PD3,PD4), UNIQUE (PD0,PD1,PD2,PD3,PD4),
INDEX kpd (PD0,PD1,PD2,PD3,PD4));
#----------------------------------------
#----------------------------------------
#----------------------------------------
#----------- Crear 1 Tienda -------------
INSERT IGNORE INTO tiendas (T0,T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13,T14,T15,T17) VALUES(0,"ALMACEN CENTRAL 1","DIRECCION ALMACEN CENTRAL","LOCALIDAD ALM CENTRAL","06001","PROVINCIA ALM 1","924222222","924111111","111111-A","2003/02/01","2003/01/01","A",0,0,"localhost","3306",0);
#----------- Crear 1 Usuario ------------
INSERT IGNORE INTO dispensa0000 (DI0,DI1,DI9,DI10) VALUES (1,"USUARIO LINEX","LINEX","LINEX");
